<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('performance_card_grant_area', function (Blueprint $table) {
            $table->id();

            $table->foreignId('performance_card_id')->constrained('performance_cards')->onDelete('cascade');
            $table->foreignId('grant_area_id')->constrained('grant_areas')->onDelete('cascade');

            $table->timestamps();

            // Ensure unique combinations
            $table->unique(['performance_card_id', 'grant_area_id']);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('performance_card_grant_area');
    }
};
